package gov.va.med.esr.service.external.person;

import gov.va.med.esr.service.external.ExternalComponent;

import java.util.Date;

public class SSNInfo extends ExternalComponent {


	private static final long serialVersionUID = -2613659155322467874L;

	private String ssnText = null;

    private String type = null;
    private String pseudoSSNReason;

    private String ssaMessage = null;
    private Date ssaSentDate = null;
    private Date ssaReceivedDate = null;
    private Date ssaVerificationDate = null;
    private String ssaVerificationStatus = null;
    private String sourceOfChange = null;
    
	public String getPseudoSSNReason() {
		return pseudoSSNReason;
	}
	public void setPseudoSSNReason(String pseudoSSNReason) {
		this.pseudoSSNReason = pseudoSSNReason;
	}
	public String getSourceOfChange() {
		return sourceOfChange;
	}
	public void setSourceOfChange(String sourceOfChange) {
		this.sourceOfChange = sourceOfChange;
	}
	public String getSsaMessage() {
		return ssaMessage;
	}
	public void setSsaMessage(String ssaMessage) {
		this.ssaMessage = ssaMessage;
	}
	public Date getSsaReceivedDate() {
		return ssaReceivedDate;
	}
	public void setSsaReceivedDate(Date ssaReceivedDate) {
		this.ssaReceivedDate = ssaReceivedDate;
	}
	public Date getSsaSentDate() {
		return ssaSentDate;
	}
	public void setSsaSentDate(Date ssaSentDate) {
		this.ssaSentDate = ssaSentDate;
	}
	public Date getSsaVerificationDate() {
		return ssaVerificationDate;
	}
	public void setSsaVerificationDate(Date ssaVerificationDate) {
		this.ssaVerificationDate = ssaVerificationDate;
	}
	public String getSsaVerificationStatus() {
		return ssaVerificationStatus;
	}
	public void setSsaVerificationStatus(String ssaVerificationStatus) {
		this.ssaVerificationStatus = ssaVerificationStatus;
	}
	public String getSsnText() {
		return ssnText;
	}
	public void setSsnText(String ssnText) {
		this.ssnText = ssnText;
	}
	public String getType() {
		return type;
	}
	public void setType(String type) {
		this.type = type;
	}
}
